package com.zaojiao.app.core.navx

import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavOptions
import androidx.navigation.compose.composable
import com.zaojiao.app.core.auth.ui.LoginPage
import com.zaojiao.app.core.nav.LJGNavigator

const val loginSmsPage = "/login/sms"

fun LJGNavigator.toLoginSms(navOptions: NavOptions? = null) {
    this.navigate(loginSmsPage)
}

fun NavGraphBuilder.loginRoute() {
    composable(route = loginSmsPage) { LoginPage() }
}